#ifndef GH_PPC_CPP_FI_H
#define GH_PPC_CPP_FI_H

/* intrinsics */
void __DI(void);
void __EI(void);
int __builtin_va_alist;
int __builtin_va_arg_incr(...);
int __va_aargnum(...);
int __va_ansiarg;
int __va_dargnum(...);
int __va_iargnum(...);
int __va_intreg;
int *__va_stkarg;

unsigned int __CLZ32(unsigned int);
unsigned int __GETSR(void);
int __MULSH(int, int);
unsigned int __MULUH(unsigned int, unsigned int);
void __PUTSR(unsigned int);
void __SETSR(unsigned int);

#else
#error "Multiple include"
#endif  /* ifndef GH_PPC_CPP_FI_H */
